using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Net.Mail;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

	protected void lstHobby_SelectedIndexChanged(object sender, EventArgs e)
	{
		if (lstHobby.SelectedIndex == lstHobby.Items.Count - 1)
		{
			lblIndicaHobby.Visible = true;
			txtHobby.Visible = true;
		}
		else
		{
			lblIndicaHobby.Visible = false;
			txtHobby.Visible = false;
		}
	}

	protected void btnInvia_Click(object sender, EventArgs e)
	{
		string Destinatario = "";
		string MailServer = "";

		MailMessage msg = new MailMessage(txtMail.Text, Destinatario);
		msg.Subject = "Questionario";
		msg.Body = "Nome: " + txtNome.Text + "\nEt: " + ddlEta.SelectedValue
				+ "\nSesso: " + rblSesso.SelectedValue + "\nHobby: ";
		if (lstHobby.SelectedIndex == lstHobby.Items.Count - 1)
		{
			//L'utente ha indicato un hobby che non  nell'elenco:
			//Va a leggere il testo digitato nella casella.
			msg.Body += txtHobby.Text;
		}
		else
		{
			//L'utente ha selezionato un hobby dell'elenco.
			msg.Body += lstHobby.SelectedValue;
		}
		SmtpClient client = new SmtpClient(MailServer);
		client.Send(msg);
	}
}